Subject: Re: [PATCH v2 0/9] pack-bitmap: fix various pseudo-merge bugs

From: Junio C Hamano <[email-masked]>
Date: Mon, 11 May 2026 11:53:01 +0900

Elijah Newren <[email-masked]> writes:

>>     +   git init pseudo-merge-fill-in-multi &&
>
> Here you fixed the order, but...
>
>>     ++  git init pseudo-merge-fill-in-multi &&
>
> ...then you immediately run git init a second time?  I'm guessing this
> was a stray edit made while trying to fix the order; could we get rid
> of the duplicate?
>
>>         (
>>     +           cd pseudo-merge-fill-in-multi &&
>>     +
>
> Looks like you addressed all the feedback so far from v1.  There does
> appear to be a new accidental double-init that I noted above in patch
> 4, but I didn't spot any other issues.

The topic went dormant after this comment, and it seems that it is
so close to the finish line otherwise?  I'll leave the topic marked
as "Expecting (hopefully minor and final) reroll" in the draft
"What's cooking" report I work from for now.

Thanks.